%define	name	ldapscripts
%define	version	1.2
%define	release	%mkrel 1

Name        : %name
Version     : %version
Release     : %release
Group       : System/Servers
License     : GPL
Source      : http://contribs.martymac.com/ldapscripts/%{name}-%{version}.tar.bz2
URL         : http://contribs.martymac.com/
Summary     : LDAP Scripts
Requires    : openldap openldap-clients sharutils
Buildarch   : noarch
BuildRoot   : %{_tmpdir}/%{name}-buildroot

%description
LDAP Scripts written in bash which allow to create POSIX entries for users,
groups and machines in an LDAP directory.

They are similar to smbldap-tools but are written in sh instead of PERL and
only require OpenLDAP client commands (ldapadd, ldapdelete, ldapsearch,
ldapmodify, slappasswd).

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 755 ldapaddgroup ldapaddusertogroup ldapdeleteuserfromgroup ldapaddmachine ldapdeletegroup ldapadduser ldapdeleteuser ldapsetprimarygroup _ldapdeletemachine _ldapinit _lsldap $RPM_BUILD_ROOT%{_bindir}
install -m 600 ldapscripts.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README COPYING CHANGELOG 
%{_bindir}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf

%changelog
* Thu Sep 15 2005 Pascal Terjan <pterjan@mandriva.org> 1.2-1mdk
- First Mandriva release
